"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _babelPluginModuleResolver = require("babel-plugin-module-resolver");

var _depcheckPackageName = _interopRequireDefault(require("depcheck-package-name"));

var _findUp = _interopRequireDefault(require("find-up"));

var _paramCase = require("param-case");

var _path = _interopRequireDefault(require("path"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _default = {
  plugins: [(0, _depcheckPackageName.default)`@babel/plugin-proposal-optional-chaining`, [(0, _depcheckPackageName.default)`@babel/plugin-proposal-pipeline-operator`, {
    proposal: 'fsharp'
  }], (0, _depcheckPackageName.default)`babel-plugin-add-module-exports`, [(0, _depcheckPackageName.default)`babel-plugin-module-resolver`, {
    alias: {
      '@': '.'
    },
    resolvePath: (sourcePath, currentFile, options) => {
      const rootPath = _findUp.default.sync(['package.json', '.root'], {
        cwd: _path.default.dirname(currentFile)
      });

      const rootDir = rootPath ? _path.default.dirname(rootPath) : undefined;
      return (0, _babelPluginModuleResolver.resolvePath)(sourcePath, currentFile, { ...options,
        cwd: rootDir
      });
    }
  }], [(0, _depcheckPackageName.default)`babel-plugin-transform-imports`, {
    [(0, _depcheckPackageName.default)`@dword-design/functions`]: {
      transform: importName => {
        var _importName;

        return `@dword-design/functions/dist/${(_importName = importName, (0, _paramCase.paramCase)(_importName))}`;
      }
    }
  }], [(0, _depcheckPackageName.default)`babel-plugin-wildcard`, {
    exts: []
  }], (0, _depcheckPackageName.default)`babel-plugin-macros`],
  presets: [[(0, _depcheckPackageName.default)`@babel/preset-env`, {
    targets: {
      node: 10
    }
  }], (0, _depcheckPackageName.default)`@vue/babel-preset-jsx`]
};
exports.default = _default;
module.exports = exports.default;